## dbi 0.1.8

=== DESCRIPTION ===
Package: DBI
Version: 0.1-8
Date: 2003-10-15
Title: R/S-Plus Database Interface 
Author: R Special Interest Group on Databases (R-SIG-DB)
Maintainer: David A. James <dj@bell-labs.com>
Depends: R (>= 1.7.1), methods
Description: A database interface (DBI) definition for
   communication between R/S-Plus and relational database management
   systems.  All classes in this package are virtual and need 
   to be extended by the various R/DBMS implementations.  
License: GPL (version 2 or later)
URL: http://stat.bell-labs.com/RS-DBI http://developer.r-project.org/db
Packaged: Sat Apr 10 18:14:29 2004; dj

## dbi 0.2

=== DESCRIPTION ===
Package: DBI
Version: 0.2-7
Date: 2013-05-08
Title: R Database Interface
Author: R Special Interest Group on Databases (R-SIG-DB)
Maintainer: David A. James <daj025@gmail.com>
Depends: R (>= 2.15.0), methods
Imports: methods
Description: A database interface (DBI) definition for communication
        between R and relational database management systems.  All
        classes in this package are virtual and need to be extended by
        the various R/DBMS implementations.
License: LGPL (>= 2)
Collate: DBI.R Util.R zzz.R
NeedsCompilation: no
Packaged: 2013-05-08 23:44:25 UTC; jamesda4
Repository: CRAN
Date/Publication: 2013-05-09 12:09:19

## dbi 0.3.1

=== DESCRIPTION ===
Package: DBI
Version: 0.3.1
Title: R Database Interface
Author: R Special Interest Group on Databases (R-SIG-DB)
Maintainer: Hadley Wickham <hadley@rstudio.com>
Depends: R (>= 2.15.0), methods
Suggests: testthat, RSQLite
Description: A database interface (DBI) definition for communication
    between R and relational database management systems.  All
    classes in this package are virtual and need to be extended by
    the various R/DBMS implementations.
License: LGPL (>= 2)
URL: https://github.com/rstats-db/DBI
BugReports: https://github.com/rstats-db/DBI/issues
Collate: 'DBObject.R' 'DBConnection.R' 'DBDriver.R' 'DBResult.R'
        'compliance.R' 'keywords.R' 'quote.R' 'util.R'
Packaged: 2014-09-23 21:42:02 UTC; hadley
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-09-24 07:27:12

## dbi 0.5

=== DESCRIPTION ===
Package: DBI
Version: 0.5-1
Date: 2016-09-09
Title: R Database Interface
Description: A database interface definition for communication
    between R and relational database management systems.  All
    classes in this package are virtual and need to be extended by
    the various R/DBMS implementations.
Authors@R: c(
    person("R Special Interest Group on Databases (R-SIG-DB)", role = "aut"),
    person("Hadley", "Wickham", role = "aut"),
    person("Kirill", "Müller", email = "krlmlr+r@mailbox.org", role = c("aut", "cre"))
    )
Depends: R (>= 2.15.0), methods
Suggests: testthat, RSQLite, knitr, rmarkdown, covr
Encoding: UTF-8
License: LGPL (>= 2)
URL: http://rstats-db.github.io/DBI
URLNote: https://github.com/rstats-db/DBI
BugReports: https://github.com/rstats-db/DBI/issues
Collate: 'DBObject.R' 'DBDriver.R' 'DBConnection.R' 'ANSI.R'
        'DBI-package.R' 'DBResult.R' 'data-types.R' 'data.R'
        'deprecated.R' 'hidden.R' 'interpolate.R' 'quote.R'
        'rownames.R' 'table-create.R' 'table-insert.R' 'table.R'
        'transactions.R' 'util.R'
VignetteBuilder: knitr
RoxygenNote: 5.0.1.9000
NeedsCompilation: no
Packaged: 2016-09-09 21:32:04 UTC; muelleki
Author: R Special Interest Group on Databases (R-SIG-DB) [aut],
  Hadley Wickham [aut],
  Kirill Müller [aut, cre]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2016-09-10 01:27:20

## dbi 0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: DBI
-Version: 0.5-1
-Date: 2016-09-09
+Version: 0.7
+Date: 2017-06-17
 Title: R Database Interface
 Description: A database interface definition for communication
     between R and relational database management systems.  All
@@ -11,8 +11,9 @@
     person("Hadley", "Wickham", role = "aut"),
     person("Kirill", "Müller", email = "krlmlr+r@mailbox.org", role = c("aut", "cre"))
     )
-Depends: R (>= 2.15.0), methods
-Suggests: testthat, RSQLite, knitr, rmarkdown, covr
+Depends: R (>= 3.0.0), methods
+Suggests: blob, covr, hms, knitr, magrittr, rprojroot, rmarkdown,
+        RSQLite (>= 1.1-2), testthat, xml2
 Encoding: UTF-8
 License: LGPL (>= 2)
 URL: http://rstats-db.github.io/DBI
@@ -24,12 +25,12 @@
         'rownames.R' 'table-create.R' 'table-insert.R' 'table.R'
         'transactions.R' 'util.R'
 VignetteBuilder: knitr
-RoxygenNote: 5.0.1.9000
+RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2016-09-09 21:32:04 UTC; muelleki
+Packaged: 2017-06-18 08:02:52 UTC; muelleki
 Author: R Special Interest Group on Databases (R-SIG-DB) [aut],
   Hadley Wickham [aut],
   Kirill Müller [aut, cre]
 Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
 Repository: CRAN
-Date/Publication: 2016-09-10 01:27:20
+Date/Publication: 2017-06-18 15:23:10 UTC

## dbi 1.0.0

=== DESCRIPTION ===
Package: DBI
Version: 1.0.0
Date: 2018-05-02
Title: R Database Interface
Description: A database interface definition for communication
    between R and relational database management systems.  All
    classes in this package are virtual and need to be extended by
    the various R/DBMS implementations.
Authors@R: c(
    person("R Special Interest Group on Databases (R-SIG-DB)", role = "aut"),
    person("Hadley", "Wickham", role = "aut"),
    person("Kirill", "M\u00fcller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org", comment = c(ORCID = "0000-0002-1416-3412")),
    person("R Consortium", role = "fnd")
    )
Depends: R (>= 3.0.0), methods
Suggests: blob, covr, hms, knitr, magrittr, rprojroot, rmarkdown,
        RSQLite (>= 1.1-2), testthat, xml2
Encoding: UTF-8
License: LGPL (>= 2)
URL: http://r-dbi.github.io/DBI
URLNote: https://github.com/r-dbi/DBI
BugReports: https://github.com/r-dbi/DBI/issues
Collate: 'hidden.R' 'DBObject.R' 'DBDriver.R' 'table.R'
        'DBConnection.R' 'ANSI.R' 'DBI-package.R' 'DBResult.R'
        'data-types.R' 'data.R' 'deprecated.R' 'interpolate.R'
        'list-pairs.R' 'quote.R' 'rd.R' 'rownames.R' 'table-create.R'
        'table-insert.R' 'transactions.R'
VignetteBuilder: knitr
RoxygenNote: 6.0.1.9000
NeedsCompilation: no
Packaged: 2018-05-02 00:38:32 UTC; kirill
Author: R Special Interest Group on Databases (R-SIG-DB) [aut],
  Hadley Wickham [aut],
  Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  R Consortium [fnd]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2018-05-02 11:24:41 UTC

=== debian/changelog ===
dbi (1.0.0-2) unstable; urgency=medium

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'

  * debian/control: Switch to ${R:Depends} now that dh-r is fixed

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Jun 2018 10:10:21 -0500

dbi (1.0.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to 'Architecture: all'
  * debian/control: Remove ${shlibs:Depends} as well

  * debian/control: While dh-r remains botched, also hard-code result of
    ${R:Depends} as 'r-base-core (>= 3.4.4-1), r-api-3.4'

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 May 2018 10:06:49 -0500

dbi (0.8-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/format: Increased to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Mar 2018 08:50:36 -0500

dbi (0.7-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Jun 2017 11:17:50 -0500

dbi (0.6-1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Apr 2017 20:05:32 -0500

dbi (0.6-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Mar 2017 14:33:38 -0500

dbi (0.5-1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Sep 2016 20:07:02 -0500

dbi (0.5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Aug 2016 13:29:36 -0500

dbi (0.4-1-2) unstable; urgency=medium

  * debian/compat: Created
 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Jun 2016 06:36:52 -0500

dbi (0.4-1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 May 2016 21:53:23 -0500

dbi (0.4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 May 2016 11:50:55 -0500

dbi (0.3.1-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 27 Sep 2014 11:45:08 -0500

dbi (0.3.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Sep 2014 16:57:24 -0500

dbi (0.2-7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 May 2013 07:07:00 -0500

dbi (0.2-6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Apr 2013 06:54:20 -0500

dbi (0.2-5-3) unstable; urgency=low

  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Mar 2013 08:13:24 -0500

dbi (0.2-5-2) unstable; urgency=low

  * debian/control: URL now displayed via Homepage:	(Closes: #641748)

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Sep 2011 18:29:49 -0500

dbi (0.2-5-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Dec 2009 09:19:28 -0600

dbi (0.2-4-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
  * debian/control: Changed Section: to section 'gnu-r'

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 03 Nov 2009 08:58:57 -0600

dbi (0.2-4-1) unstable; urgency=low

  * New upstream release
  * Built with R 2.6.0, so setting (Build-)Depends: to 
    'r-base-(core|dev) >> 2.5.1' to prevent move to testing before R 2.6.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Oct 2007 20:29:08 -0500

dbi (0.2-3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Build-Depends: updated to r-base-dev (>= 2.5.0)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu,  3 May 2007 13:58:51 -0500

dbi (0.2-2-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Build-Depends: updated to r-base-dev (>= 2.5.0~20070412-1)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 18 Apr 2007 22:18:42 -0500

dbi (0.2-1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 29 Mar 2007 16:20:49 -0500

dbi (0.2-0-1) unstable; urgency=low

  * New upstream release
  * debian/control: Updated (Built-)Depensd to R 2.4.1

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Mar 2007 17:35:32 -0500

dbi (0.1.12-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  4 Dec 2006 19:03:22 -0600

dbi (0.1.11-1) unstable; urgency=low

  * New upstream release

  * debian/control: Removed non-DD Steffen as an uploader



=== debian/control ===
Source: dbi
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.5.0)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-dbi
Vcs-Git: https://salsa.debian.org/edd/r-cran-dbi.git
Homepage: https://cran.r-project.org/package=DBI

Package: r-cran-dbi
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}
Suggests: r-cran-rmysql
Description: GNU R package providing a generic database interface
 A generic database interface (DBI) definition for communication
 between R and relational database management systems -- similar to
 Perl's DBI system.  All classes in this package are virtual and need
 to be extended by the various R/DBMS implementations as e.g. RMySQL.

## dbi 1.1.0

=== DESCRIPTION ===
Package: DBI
Title: R Database Interface
Version: 1.1.0
Date: 2019-12-15
Authors@R: 
    c(person(given = "R Special Interest Group on Databases (R-SIG-DB)",
             role = "aut"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = "Kirill",
             family = "M\u00fcller",
             role = c("aut", "cre"),
             email = "krlmlr+r@mailbox.org",
             comment = c(ORCID = "0000-0002-1416-3412")),
      person(given = "R Consortium",
             role = "fnd"))
Description: A database interface definition for communication
    between R and relational database management systems.  All classes in
    this package are virtual and need to be extended by the various R/DBMS
    implementations.
License: LGPL (>= 2.1)
URL: http://r-dbi.github.io/DBI, https://github.com/r-dbi/DBI
BugReports: https://github.com/r-dbi/DBI/issues
Depends: methods, R (>= 3.0.0)
Suggests: blob, covr, hms, knitr, magrittr, rmarkdown, rprojroot,
        RSQLite (>= 1.1-2), testthat, xml2
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.0.2
Collate: 'hidden.R' 'DBObject.R' 'DBDriver.R' 'table.R'
        'DBConnection.R' 'ANSI.R' 'DBConnector.R' 'DBI-package.R'
        'DBResult.R' 'data-types.R' 'data.R' 'deprecated.R'
        'interpolate.R' 'list-pairs.R' 'quote.R' 'rd.R' 'rownames.R'
        'table-create.R' 'table-insert.R' 'transactions.R'
NeedsCompilation: no
Packaged: 2019-12-15 08:59:43 UTC; kirill
Author: R Special Interest Group on Databases (R-SIG-DB) [aut],
  Hadley Wickham [aut],
  Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  R Consortium [fnd]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2019-12-15 09:50:02 UTC

=== debian/changelog ===
dbi (1.1.0-2) unstable; urgency=medium

  * source-only upload

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jan 2020 16:30:41 -0600

dbi (1.1.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 19 Dec 2019 22:55:10 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.5.0)
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.2)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-dbi
 Vcs-Git: https://salsa.debian.org/edd/r-cran-dbi.git
 Homepage: https://cran.r-project.org/package=DBI

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-dbi package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>
#                       and Steffen Moeller <moeller@inb.uni-luebeck.de>

%:
	dh $@ --buildsystem R

## dbi 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DBI
 Title: R Database Interface
-Version: 1.1.0
-Date: 2019-12-15
+Version: 1.1.1
+Date: 2021-01-04
 Authors@R: 
     c(person(given = "R Special Interest Group on Databases (R-SIG-DB)",
              role = "aut"),
@@ -20,25 +20,26 @@
     this package are virtual and need to be extended by the various R/DBMS
     implementations.
 License: LGPL (>= 2.1)
-URL: http://r-dbi.github.io/DBI, https://github.com/r-dbi/DBI
+URL: https://dbi.r-dbi.org, https://github.com/r-dbi/DBI
 BugReports: https://github.com/r-dbi/DBI/issues
 Depends: methods, R (>= 3.0.0)
-Suggests: blob, covr, hms, knitr, magrittr, rmarkdown, rprojroot,
-        RSQLite (>= 1.1-2), testthat, xml2
+Suggests: blob, covr, dbplyr, dplyr, glue, hms, knitr, magrittr,
+        rmarkdown, rprojroot, RMariaDB, RSQLite (>= 1.1-2), testthat,
+        xml2
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1.9000
 Collate: 'hidden.R' 'DBObject.R' 'DBDriver.R' 'table.R'
         'DBConnection.R' 'ANSI.R' 'DBConnector.R' 'DBI-package.R'
-        'DBResult.R' 'data-types.R' 'data.R' 'deprecated.R'
+        'DBResult.R' 'data-types.R' 'data.R' 'deprecated.R' 'hms.R'
         'interpolate.R' 'list-pairs.R' 'quote.R' 'rd.R' 'rownames.R'
         'table-create.R' 'table-insert.R' 'transactions.R'
 NeedsCompilation: no
-Packaged: 2019-12-15 08:59:43 UTC; kirill
+Packaged: 2021-01-05 05:09:32 UTC; kirill
 Author: R Special Interest Group on Databases (R-SIG-DB) [aut],
   Hadley Wickham [aut],
   Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
   R Consortium [fnd]
 Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
 Repository: CRAN
-Date/Publication: 2019-12-15 09:50:02 UTC
+Date/Publication: 2021-01-15 10:10:07 UTC

=== debian/changelog ===
dbi (1.1.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Jan 2021 10:42:05 -0600

dbi (1.1.0-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 May 2020 21:06:56 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.2)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.0.3)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-dbi
 Vcs-Git: https://salsa.debian.org/edd/r-cran-dbi.git
 Homepage: https://cran.r-project.org/package=DBI

## dbi 1.1.2

=== DESCRIPTION ===
Package: DBI
Title: R Database Interface
Version: 1.1.2
Date: 2021-12-19
Authors@R: c(
    person("R Special Interest Group on Databases (R-SIG-DB)", role = "aut"),
    person("Hadley", "Wickham", role = "aut"),
    person("Kirill", "Müller", , "krlmlr+r@mailbox.org", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("R Consortium", role = "fnd")
  )
Description: A database interface definition for communication between R
    and relational database management systems.  All classes in this
    package are virtual and need to be extended by the various R/DBMS
    implementations.
License: LGPL (>= 2.1)
URL: https://dbi.r-dbi.org, https://github.com/r-dbi/DBI
BugReports: https://github.com/r-dbi/DBI/issues
Depends: methods, R (>= 3.0.0)
Suggests: blob, covr, DBItest, dbplyr, downlit, dplyr, glue, hms,
        knitr, magrittr, RMariaDB, rmarkdown, rprojroot, RSQLite (>=
        1.1-2), testthat, xml2
VignetteBuilder: knitr
Config/autostyle/scope: line_breaks
Config/autostyle/strict: false
Config/Needs/check: r-dbi/DBItest
Encoding: UTF-8
RoxygenNote: 7.1.2
Config/Needs/website: r-dbi/DBItest, AzureKusto, bigrquery,
        DatabaseConnector, dittodb, duckdb, implyr, lazysf, odbc, pool,
        RAthena, RClickhouse, RH2, RJDBC, RMariaDB, RMySQL, RPostgres,
        RPostgreSQL, RPresto, RSQLite, sergeant, sparklyr
Collate: 'DBIObject.R' 'DBIDriver.R' 'Id.R' 'DBIConnection.R' 'ANSI.R'
        'DBI-package.R' 'DBIConnector.R' 'DBIResult.R' 'SQL.R'
        'SQLKeywords.R' 'SQLKeywords_DBIObject.R'
        'SQLKeywords_missing.R' 'data-types.R' 'data.R'
        'dbAppendTable.R' 'dbAppendTable_DBIConnection.R' 'dbBegin.R'
        'dbBind.R' 'dbCallProc.R' 'dbCanConnect.R'
        'dbCanConnect_DBIDriver.R' 'dbClearResult.R' 'dbColumnInfo.R'
        'dbCommit.R' 'dbConnect.R' 'dbConnect_DBIConnector.R'
        'dbCreateTable.R' 'dbCreateTable_DBIConnection.R'
        'dbDataType.R' 'dbDataType_DBIConnector.R'
        'dbDataType_DBIObject.R' 'dbDisconnect.R' 'dbDriver.R'
        'dbDriver_character.R' 'dbExecute.R'
        'dbExecute_DBIConnection_character.R' 'dbExistsTable.R'
        'dbExistsTable_DBIConnection_Id.R' 'dbFetch.R'
        'dbFetch_DBIResult.R' 'dbGetConnectArgs.R'
        'dbGetConnectArgs_DBIConnector.R' 'dbGetException.R'
        'dbGetInfo.R' 'dbGetInfo_DBIResult.R' 'dbGetQuery.R'
        'dbGetQuery_DBIConnection_character.R' 'dbGetRowCount.R'
        'dbGetRowsAffected.R' 'dbGetStatement.R' 'dbHasCompleted.R'
        'dbIsReadOnly.R' 'dbIsReadOnly_DBIConnector.R'
        'dbIsReadOnly_DBIObject.R' 'dbIsValid.R' 'dbListConnections.R'
        'dbListFields.R' 'dbListFields_DBIConnection_Id.R'
        'dbListFields_DBIConnection_character.R' 'dbListObjects.R'
        'dbListObjects_DBIConnection_ANY.R' 'dbListResults.R'
        'dbListTables.R' 'dbQuoteIdentifier.R'
        'dbQuoteIdentifier_DBIConnection.R' 'dbQuoteLiteral.R'
        'dbQuoteLiteral_DBIConnection.R' 'dbQuoteString.R'
        'dbQuoteString_DBIConnection.R' 'dbReadTable.R'
        'dbReadTable_DBIConnection_Id.R'
        'dbReadTable_DBIConnection_character.R' 'dbRemoveTable.R'
        'dbRemoveTable_DBIConnection_Id.R' 'dbRollback.R'
        'dbSendQuery.R' 'dbSendStatement.R'
        'dbSendStatement_DBIConnection_character.R'
        'dbSetDataMappings.R' 'dbUnloadDriver.R'
        'dbUnquoteIdentifier.R' 'dbUnquoteIdentifier_DBIConnection.R'
        'dbWithTransaction.R' 'dbWithTransaction_DBIConnection.R'
        'dbWriteTable.R' 'dbWriteTable_DBIConnection_Id_ANY.R'
        'dbiDataType.R' 'dbiDataType_AsIs.R' 'dbiDataType_Date.R'
        'dbiDataType_POSIXct.R' 'dbiDataType_character.R'
        'dbiDataType_data.frame.R' 'dbiDataType_difftime.R'
        'dbiDataType_integer.R' 'dbiDataType_list.R'
        'dbiDataType_logical.R' 'dbiDataType_numeric.R' 'deprecated.R'
        'fetch.R' 'hms.R' 'interpolate.R' 'isSQLKeyword.R'
        'isSQLKeyword_DBIObject_character.R' 'make.db.names.R'
        'make.db.names_DBIObject_character.R' 'methods_as_rd.R'
        'rownames.R' 'show_AnsiConnection.R' 'show_DBIConnection.R'
        'show_DBIConnector.R' 'show_DBIDriver.R' 'show_DBIResult.R'
        'show_Id.R' 'show_SQL.R' 'sqlAppendTable.R'
        'sqlAppendTableTemplate.R' 'sqlAppendTable_DBIConnection.R'
        'sqlCreateTable.R' 'sqlCreateTable_DBIConnection.R' 'sqlData.R'
        'sqlData_DBIConnection.R' 'sqlInterpolate.R'
        'sqlInterpolate_DBIConnection.R' 'sqlParseVariables.R'
        'sqlParseVariables_DBIConnection.R' 'summary.R'
        'summary_DBIObject.R' 'transactions.R'
NeedsCompilation: no
Packaged: 2021-12-19 20:43:28 UTC; kirill
Author: R Special Interest Group on Databases (R-SIG-DB) [aut],
  Hadley Wickham [aut],
  Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  R Consortium [fnd]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2021-12-20 08:32:06 UTC

=== debian/changelog ===
dbi (1.1.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Dec 2021 15:56:13 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.0.3)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.2)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-dbi
 Vcs-Git: https://salsa.debian.org/edd/r-cran-dbi.git
 Homepage: https://cran.r-project.org/package=DBI

## dbi 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DBI
 Title: R Database Interface
-Version: 1.1.2
-Date: 2021-12-19
+Version: 1.1.3
+Date: 2022-06-18
 Authors@R: c(
     person("R Special Interest Group on Databases (R-SIG-DB)", role = "aut"),
     person("Hadley", "Wickham", role = "aut"),
@@ -25,11 +25,12 @@
 Config/autostyle/strict: false
 Config/Needs/check: r-dbi/DBItest
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.0
 Config/Needs/website: r-dbi/DBItest, AzureKusto, bigrquery,
         DatabaseConnector, dittodb, duckdb, implyr, lazysf, odbc, pool,
-        RAthena, RClickhouse, RH2, RJDBC, RMariaDB, RMySQL, RPostgres,
-        RPostgreSQL, RPresto, RSQLite, sergeant, sparklyr
+        RAthena, IMSMWU/RClickhouse, RH2, RJDBC, RMariaDB, RMySQL,
+        RPostgres, RPostgreSQL, RPresto, RSQLite, sergeant, sparklyr,
+        withr
 Collate: 'DBIObject.R' 'DBIDriver.R' 'Id.R' 'DBIConnection.R' 'ANSI.R'
         'DBI-package.R' 'DBIConnector.R' 'DBIResult.R' 'SQL.R'
         'SQLKeywords.R' 'SQLKeywords_DBIObject.R'
@@ -85,11 +86,11 @@
         'sqlParseVariables_DBIConnection.R' 'summary.R'
         'summary_DBIObject.R' 'transactions.R'
 NeedsCompilation: no
-Packaged: 2021-12-19 20:43:28 UTC; kirill
+Packaged: 2022-06-18 01:24:38 UTC; kirill
 Author: R Special Interest Group on Databases (R-SIG-DB) [aut],
   Hadley Wickham [aut],
   Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
   R Consortium [fnd]
 Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
 Repository: CRAN
-Date/Publication: 2021-12-20 08:32:06 UTC
+Date/Publication: 2022-06-18 07:10:15 UTC

=== debian/changelog ===
dbi (1.1.3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Jun 2022 06:54:29 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.2)
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.2.0)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-dbi
 Vcs-Git: https://salsa.debian.org/edd/r-cran-dbi.git
 Homepage: https://cran.r-project.org/package=DBI

## dbi 1.2.2

=== DESCRIPTION ===
Package: DBI
Title: R Database Interface
Version: 1.2.2
Date: 2024-02-09
Authors@R: c(
    person("R Special Interest Group on Databases (R-SIG-DB)", role = "aut"),
    person("Hadley", "Wickham", role = "aut"),
    person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("R Consortium", role = "fnd")
  )
Description: A database interface definition for communication between R
    and relational database management systems.  All classes in this
    package are virtual and need to be extended by the various R/DBMS
    implementations.
License: LGPL (>= 2.1)
URL: https://dbi.r-dbi.org, https://github.com/r-dbi/DBI
BugReports: https://github.com/r-dbi/DBI/issues
Depends: methods, R (>= 3.0.0)
Suggests: arrow, blob, covr, DBItest, dbplyr, downlit, dplyr, glue,
        hms, knitr, magrittr, nanoarrow (>= 0.3.0.1), RMariaDB,
        rmarkdown, rprojroot, RSQLite (>= 1.1-2), testthat (>= 3.0.0),
        vctrs, xml2
VignetteBuilder: knitr
Config/autostyle/scope: line_breaks
Config/autostyle/strict: false
Config/Needs/check: r-dbi/DBItest
Encoding: UTF-8
RoxygenNote: 7.3.0.9000
Config/Needs/website: r-dbi/DBItest, r-dbi/dbitemplate, adbi,
        AzureKusto, bigrquery, DatabaseConnector, dittodb, duckdb,
        implyr, lazysf, odbc, pool, RAthena, IMSMWU/RClickhouse, RH2,
        RJDBC, RMariaDB, RMySQL, RPostgres, RPostgreSQL, RPresto,
        RSQLite, sergeant, sparklyr, withr
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2024-02-09 07:30:24 UTC; kirill
Author: R Special Interest Group on Databases (R-SIG-DB) [aut],
  Hadley Wickham [aut],
  Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  R Consortium [fnd]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2024-02-16 13:00:02 UTC

=== debian/changelog ===
dbi (1.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 16 Feb 2024 07:04:32 -0600

dbi (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 14 Jan 2024 06:44:26 -0600

dbi (1.2.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Dec 2023 15:24:52 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.2.0)
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.2)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-dbi
 Vcs-Git: https://salsa.debian.org/edd/r-cran-dbi.git
 Homepage: https://cran.r-project.org/package=DBI

## dbi 1.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DBI
 Title: R Database Interface
-Version: 1.2.2
-Date: 2024-02-09
+Version: 1.2.3
+Date: 2024-06-02
 Authors@R: c(
     person("R Special Interest Group on Databases (R-SIG-DB)", role = "aut"),
     person("Hadley", "Wickham", role = "aut"),
@@ -26,7 +26,7 @@
 Config/autostyle/strict: false
 Config/Needs/check: r-dbi/DBItest
 Encoding: UTF-8
-RoxygenNote: 7.3.0.9000
+RoxygenNote: 7.3.1
 Config/Needs/website: r-dbi/DBItest, r-dbi/dbitemplate, adbi,
         AzureKusto, bigrquery, DatabaseConnector, dittodb, duckdb,
         implyr, lazysf, odbc, pool, RAthena, IMSMWU/RClickhouse, RH2,
@@ -34,11 +34,11 @@
         RSQLite, sergeant, sparklyr, withr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2024-02-09 07:30:24 UTC; kirill
+Packaged: 2024-06-02 20:26:05 UTC; kirill
 Author: R Special Interest Group on Databases (R-SIG-DB) [aut],
   Hadley Wickham [aut],
   Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
   R Consortium [fnd]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2024-02-16 13:00:02 UTC
+Date/Publication: 2024-06-02 21:50:02 UTC

=== debian/changelog ===
dbi (1.2.3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 03 Jun 2024 10:04:47 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.2)
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.0)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-dbi
 Vcs-Git: https://salsa.debian.org/edd/r-cran-dbi.git
 Homepage: https://cran.r-project.org/package=DBI

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/DBI_([-\d\.]*)\.tar\.gz

## dbi 1.3.0

=== DESCRIPTION ===
Package: DBI
Title: R Database Interface
Version: 1.3.0
Date: 2026-02-11
Authors@R: c(
    person("R Special Interest Group on Databases (R-SIG-DB)", role = "aut"),
    person("Hadley", "Wickham", role = "aut"),
    person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("R Consortium", role = "fnd")
  )
Description: A database interface definition for communication between R
    and relational database management systems.  All classes in this
    package are virtual and need to be extended by the various R/DBMS
    implementations.
License: LGPL (>= 2.1)
URL: https://dbi.r-dbi.org, https://github.com/r-dbi/DBI
BugReports: https://github.com/r-dbi/DBI/issues
Depends: methods, R (>= 3.0.0)
Suggests: arrow, blob, callr, covr, DBItest (>= 1.8.2), dbplyr,
        downlit, dplyr, glue, hms, knitr, magrittr, nanoarrow (>=
        0.3.0.1), otel, otelsdk, RMariaDB, rmarkdown, rprojroot,
        RSQLite (>= 1.1-2), testthat (>= 3.0.0), vctrs, xml2
VignetteBuilder: knitr
Config/autostyle/scope: line_breaks
Config/autostyle/strict: false
Config/Needs/check: r-dbi/DBItest
Config/Needs/website: r-dbi/DBItest, r-dbi/dbitemplate, adbi,
        AzureKusto, bigrquery, DatabaseConnector, dittodb, duckdb,
        implyr, lazysf, odbc, pool, RAthena, IMSMWU/RClickhouse, RH2,
        RJDBC, RMariaDB, RMySQL, RPostgres, RPostgreSQL, RPresto,
        RSQLite, sergeant, sparklyr, withr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.3.9000
NeedsCompilation: no
Packaged: 2026-02-24 17:22:33 UTC; kirill
Author: R Special Interest Group on Databases (R-SIG-DB) [aut],
  Hadley Wickham [aut],
  Kirill Müller [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-1416-3412>),
  R Consortium [fnd]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2026-02-25 06:31:27 UTC

=== debian/changelog ===
dbi (1.3.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 27 Feb 2026 14:15:59 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.0)
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.5.2)
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-dbi
 Vcs-Git: https://salsa.debian.org/edd/r-cran-dbi.git
 Homepage: https://cran.r-project.org/package=DBI

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/DBI_([-\d\.]*)\.tar\.gz
